Module java.desktop
Package java.awt

# Interface PrintGraphics

    public interface PrintGraphics

An abstract class which provides a print graphics context for a page.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`PrintJob` | `getPrintJob()` | Returns the PrintJob object from which this PrintGraphics object originated.

## Method Details

### getPrintJob

PrintJob getPrintJob()
Returns the PrintJob object from which this PrintGraphics object originated.

Returns:
  the print job for this object